#!/bin/bash
#Unconfigures everything that was configured through install.sh

if [ $# -ne 1 ]
then
        echo "usage : $0 <maindir>"
        exit 1
fi

# We must use ./ here because this script is called after uninstall
# Careful! "yourpath" is not defined!
source ./common_functions.sh

FH=/etc/firehol/firehol.conf
remove_iptables()
{
sed -i.bak '
/iptables -t filter -I OUTPUT -d 127.0.0.1 -p tcp --dport 3128 -m owner ! --uid-owner dansguardian -j DROP/ d
' $FH
}
remove_transparent_squid()
{
sed -i.bak '
/transparent_squid 8080 "proxy root"/ d
' $FH
}
remove_policy()
{
sed -i.bak '
/policy drop/ d
' $FH
}
remove_protection()
{
sed -i.bak '
/protection strong/ d
' $FH
}
remove_server()
{
sed -i.bak '
/server cups accept/ d
' $FH
}

# stop everything
stop_all_nogui
stopcheck

# remove firehol settings related to WCC (TODO: restore from preinstall-backup?)
if [ -f $FH ]
then
  remove_iptables
  remove_transparent_squid
  remove_policy
  remove_protection
  remove_server
else
  echo "WARNING: FAILED TO PROPERLY DEACTIVATE FIREHOL!!!"
fi
# prevent firehol from running at startup (to make sure net works after removal)
if [ -f /etc/default/firehol ]
then
  sed -i.bak 's/START_FIREHOL=.*/START_FIREHOL=NO/' /etc/default/firehol
else
  echo "WARNING: FAILED TO PROPERLY DEACTIVATE FIREHOL!!!"
fi

# restore settings from preinstall-backup
./import_all.sh "$1/backup"
